Bug 879450 - [abrt] gnome-activity-journal-0.8.0-2.fc17: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.gnome.zeitgeist.Log' on object at path /org/gnome/zeitgeist/journal/activity
Summary: [abrt] gnome-activity-journal-0.8.0-2.fc17: connection.py:630:call_blocking:D...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-activity-journal
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mads Villadsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:36ac26b762b109b0ea349df472e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-23 03:31 UTC by hywel
Modified: 2013-08-01 03:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 03:39:13 UTC
Type: ---


Attachments (Terms of Use)
File: executable (31 bytes, text/plain)
2012-11-23 03:31 UTC, hywel
no flags Details
File: environ (1.59 KB, text/plain)
2012-11-23 03:31 UTC, hywel
no flags Details
File: dso_list (62 bytes, text/plain)
2012-11-23 03:31 UTC, hywel
no flags Details
File: smolt_data (3.25 KB, text/plain)
2012-11-23 03:31 UTC, hywel
no flags Details
File: core_backtrace (1.07 KB, text/plain)
2012-11-23 03:31 UTC, hywel
no flags Details

Description hywel 2012-11-23 03:31:03 UTC
Version-Release number of selected component:
gnome-activity-journal-0.8.0-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        python /usr/bin/gnome-activity-journal
kernel:         3.6.6-1.fc17.x86_64

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.gnome.zeitgeist.Log' on object at path /org/gnome/zeitgeist/journal/activity
:
:Traceback (most recent call last):
:  File "/usr/bin/gnome-activity-journal", line 97, in <module>
:    from src.main import PortalWindow
:  File "/usr/share/gnome-activity-journal/src/main.py", line 31, in <module>
:    from activity_widgets import MultiViewContainer, TimelineViewContainer, ThumbViewContainer
:  File "/usr/share/gnome-activity-journal/src/activity_widgets.py", line 41, in <module>
:    from store import ContentStruct, CLIENT
:  File "/usr/share/gnome-activity-journal/src/store.py", line 588, in <module>
:    STORE = Store()
:  File "/usr/share/gnome-activity-journal/src/store.py", line 411, in __init__
:    days_population = CLIENT_EXTENSION.GetHistogramData()
:  File "/usr/lib/python2.7/site-packages/zeitgeist/client.py", line 133, in _ProxyMethod
:    lambda: getattr(self.__iface, name), *args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/zeitgeist/client.py", line 122, in _disconnection_safe
:    return reconnecting_error_handler(e)
:  File "/usr/lib/python2.7/site-packages/zeitgeist/client.py", line 120, in _disconnection_safe
:    return method_getter()(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
:    **keywords)
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.gnome.zeitgeist.Log' on object at path /org/gnome/zeitgeist/journal/activity
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SessionBus (session) at 0x296ca10>
:args: ()
:utf8_strings: False
:bus_name: 'org.gnome.zeitgeist.Engine'
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/org/gnome/zeitgeist/journal/activity'
:timeout: -1.0
:signature: None
:dbus_interface: 'org.gnome.zeitgeist.Log'
:message: <dbus.lowlevel.MethodCallMessage object at 0x2660c00>
:method: 'GetHistogramData'

Potential duplicate bug: 821121

Comment 1 hywel 2012-11-23 03:31:06 UTC
Created attachment 650186 [details]
File: executable

Comment 2 hywel 2012-11-23 03:31:08 UTC
Created attachment 650187 [details]
File: environ

Comment 3 hywel 2012-11-23 03:31:10 UTC
Created attachment 650188 [details]
File: dso_list

Comment 4 hywel 2012-11-23 03:31:11 UTC
Created attachment 650189 [details]
File: smolt_data

Comment 5 hywel 2012-11-23 03:31:13 UTC
Created attachment 650190 [details]
File: core_backtrace

Comment 6 Fedora End Of Life 2013-07-04 00:11:54 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2013-08-01 03:39:20 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.